diff --git a/android/guava/src/com/google/common/collect/FluentIterable.java b/android/guava/src/com/google/common/collect/FluentIterable.java
index 72401d7..2160dd1 100644
--- a/android/guava/src/com/google/common/collect/FluentIterable.java
+++ b/android/guava/src/com/google/common/collect/FluentIterable.java
@@ -16,15 +16,10 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Joiner;
 import com.google.common.base.Optional;
 import com.google.common.base.Predicate;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.InlineMe;
 import java.util.Arrays;
 import java.util.Collection;
 import java.util.Collections;
@@ -33,7 +28,6 @@ import java.util.Iterator;
 import java.util.List;
 import java.util.SortedSet;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * An expanded {@code Iterable} API, providing functionality similar to Java 8's powerful <a href=
@@ -111,9 +105,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Marcin Mikosik
  * @since 12.0
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
-public abstract class FluentIterable<E extends @Nullable Object> implements Iterable<E> {
+public abstract class FluentIterable<E extends Object> implements Iterable<E> {
   // We store 'iterable' and use it instead of 'this' to allow Iterables to perform instanceof
   // checks on the _original_ iterable when FluentIterable.from is used.
   // To avoid a self retain cycle under j2objc, we store Optional.absent() instead of
@@ -141,7 +134,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    * <p><b>{@code Stream} equivalent:</b> {@code iterable.stream()} if {@code iterable} is a {@link
    * Collection}; {@code StreamSupport.stream(iterable.spliterator(), false)} otherwise.
    */
-  public static <E extends @Nullable Object> FluentIterable<E> from(final Iterable<E> iterable) {
+  public static <E extends Object> FluentIterable<E> from(final Iterable<E> iterable) {
     return (iterable instanceof FluentIterable)
         ? (FluentIterable<E>) iterable
         : new FluentIterable<E>(iterable) {
@@ -162,8 +155,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * @since 20.0 (since 18.0 as an overload of {@code of})
    */
-  @Beta
-  public static <E extends @Nullable Object> FluentIterable<E> from(E[] elements) {
+  public static <E extends Object> FluentIterable<E> from(E[] elements) {
     return from(Arrays.asList(elements));
   }
 
@@ -176,10 +168,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *     FluentIterable}
    */
   @Deprecated
-  @InlineMe(
-      replacement = "checkNotNull(iterable)",
-      staticImports = {"com.google.common.base.Preconditions.checkNotNull"})
-  public static <E extends @Nullable Object> FluentIterable<E> from(FluentIterable<E> iterable) {
+  public static <E extends Object> FluentIterable<E> from(FluentIterable<E> iterable) {
     return checkNotNull(iterable);
   }
 
@@ -195,8 +184,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * @since 20.0
    */
-  @Beta
-  public static <T extends @Nullable Object> FluentIterable<T> concat(
+  public static <T extends Object> FluentIterable<T> concat(
       Iterable<? extends T> a, Iterable<? extends T> b) {
     return concatNoDefensiveCopy(a, b);
   }
@@ -214,8 +202,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * @since 20.0
    */
-  @Beta
-  public static <T extends @Nullable Object> FluentIterable<T> concat(
+  public static <T extends Object> FluentIterable<T> concat(
       Iterable<? extends T> a, Iterable<? extends T> b, Iterable<? extends T> c) {
     return concatNoDefensiveCopy(a, b, c);
   }
@@ -234,8 +221,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * @since 20.0
    */
-  @Beta
-  public static <T extends @Nullable Object> FluentIterable<T> concat(
+  public static <T extends Object> FluentIterable<T> concat(
       Iterable<? extends T> a,
       Iterable<? extends T> b,
       Iterable<? extends T> c,
@@ -258,8 +244,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    * @throws NullPointerException if any of the provided iterables is {@code null}
    * @since 20.0
    */
-  @Beta
-  public static <T extends @Nullable Object> FluentIterable<T> concat(
+  public static <T extends Object> FluentIterable<T> concat(
       Iterable<? extends T>... inputs) {
     return concatNoDefensiveCopy(Arrays.copyOf(inputs, inputs.length));
   }
@@ -278,8 +263,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * @since 20.0
    */
-  @Beta
-  public static <T extends @Nullable Object> FluentIterable<T> concat(
+  public static <T extends Object> FluentIterable<T> concat(
       final Iterable<? extends Iterable<? extends T>> inputs) {
     checkNotNull(inputs);
     return new FluentIterable<T>() {
@@ -291,7 +275,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
   }
 
   /** Concatenates a varargs array of iterables without making a defensive copy of the array. */
-  private static <T extends @Nullable Object> FluentIterable<T> concatNoDefensiveCopy(
+  private static <T extends Object> FluentIterable<T> concatNoDefensiveCopy(
       final Iterable<? extends T>... inputs) {
     for (Iterable<? extends T> input : inputs) {
       checkNotNull(input);
@@ -318,8 +302,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * @since 20.0
    */
-  @Beta
-  public static <E extends @Nullable Object> FluentIterable<E> of() {
+  public static <E extends Object> FluentIterable<E> of() {
     return FluentIterable.from(Collections.<E>emptyList());
   }
 
@@ -331,8 +314,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * @since 20.0
    */
-  @Beta
-  public static <E extends @Nullable Object> FluentIterable<E> of(
+  public static <E extends Object> FluentIterable<E> of(
       @ParametricNullness E element, E... elements) {
     return from(Lists.asList(element, elements));
   }
@@ -400,7 +382,6 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * @since 18.0
    */
-  @Beta
   public final FluentIterable<E> append(Iterable<? extends E> other) {
     return FluentIterable.concat(getDelegate(), other);
   }
@@ -413,7 +394,6 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * @since 18.0
    */
-  @Beta
   public final FluentIterable<E> append(E... elements) {
     return FluentIterable.concat(getDelegate(), Arrays.asList(elements));
   }
@@ -441,7 +421,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *     (ImmutableList) stream.filter(NewType.class::isInstance).collect(toImmutableList());}
    * </pre>
    */
-  @GwtIncompatible // Class.isInstance
+  // Class.isInstance
   public final <T> FluentIterable<T> filter(Class<T> type) {
     return from(Iterables.filter(getDelegate(), type));
   }
@@ -489,7 +469,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * <p><b>{@code Stream} equivalent:</b> {@link Stream#map}.
    */
-  public final <T extends @Nullable Object> FluentIterable<T> transform(
+  public final <T extends Object> FluentIterable<T> transform(
       Function<? super E, T> function) {
     return from(Iterables.transform(getDelegate(), function));
   }
@@ -507,7 +487,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * @since 13.0 (required {@code Function<E, Iterable<T>>} until 14.0)
    */
-  public <T extends @Nullable Object> FluentIterable<T> transformAndConcat(
+  public <T extends Object> FluentIterable<T> transformAndConcat(
       Function<? super E, ? extends Iterable<? extends T>> function) {
     return FluentIterable.concat(transform(function));
   }
@@ -794,7 +774,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    * @return a newly-allocated array into which all the elements of this fluent iterable have been
    *     copied
    */
-  @GwtIncompatible // Array.newArray(Class, int)
+  // Array.newArray(Class, int)
   /*
    * Both the declaration of our Class<E> parameter and its usage in a call to Iterables.toArray
    * produce a nullness error: E may be a nullable type, and our nullness checker has Class's type
@@ -803,7 +783,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    * FluentIterable support null elements, and most of the other produce outright unsoundness.)
    */
   @SuppressWarnings("nullness")
-  public final @Nullable E[] toArray(Class<E> type) {
+  public final E[] toArray(Class<E> type) {
     return Iterables.toArray(getDelegate(), type);
   }
 
@@ -818,7 +798,6 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    * @return {@code collection}, for convenience
    * @since 14.0
    */
-  @CanIgnoreReturnValue
   public final <C extends Collection<? super E>> C copyInto(C collection) {
     checkNotNull(collection);
     Iterable<E> iterable = getDelegate();
@@ -842,7 +821,6 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
    *
    * @since 18.0
    */
-  @Beta
   public final String join(Joiner joiner) {
     return joiner.join(this);
   }
@@ -865,7 +843,7 @@ public abstract class FluentIterable<E extends @Nullable Object> implements Iter
   }
 
   /** Function that transforms {@code Iterable<E>} into a fluent iterable. */
-  private static class FromIterableFunction<E extends @Nullable Object>
+  private static class FromIterableFunction<E extends Object>
       implements Function<Iterable<E>, FluentIterable<E>> {
     @Override
     public FluentIterable<E> apply(Iterable<E> fromObject) {
diff --git a/android/guava/src/com/google/common/collect/ForwardingBlockingDeque.java b/android/guava/src/com/google/common/collect/ForwardingBlockingDeque.java
index 49d4bcf..b2fada9 100644
--- a/android/guava/src/com/google/common/collect/ForwardingBlockingDeque.java
+++ b/android/guava/src/com/google/common/collect/ForwardingBlockingDeque.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.util.Collection;
 import java.util.concurrent.BlockingDeque;
 import java.util.concurrent.TimeUnit;
@@ -46,7 +45,6 @@ import javax.annotation.CheckForNull;
  *     com.google.common.util.concurrent.ForwardingBlockingDeque} instead.
  */
 @Deprecated
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class ForwardingBlockingDeque<E> extends ForwardingDeque<E>
     implements BlockingDeque<E> {
diff --git a/android/guava/src/com/google/common/collect/ForwardingCollection.java b/android/guava/src/com/google/common/collect/ForwardingCollection.java
index ca1edc1..38881ac 100644
--- a/android/guava/src/com/google/common/collect/ForwardingCollection.java
+++ b/android/guava/src/com/google/common/collect/ForwardingCollection.java
@@ -16,13 +16,10 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Objects;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Collection;
 import java.util.Iterator;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A collection which forwards all its method calls to another collection. Subclasses should
@@ -46,9 +43,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Louis Wasserman
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public abstract class ForwardingCollection<E extends @Nullable Object> extends ForwardingObject
+public abstract class ForwardingCollection<E extends Object> extends ForwardingObject
     implements Collection<E> {
   // TODO(lowasser): identify places where thread safety is actually lost
 
@@ -68,7 +64,6 @@ public abstract class ForwardingCollection<E extends @Nullable Object> extends F
     return delegate().size();
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean removeAll(Collection<?> collection) {
     return delegate().removeAll(collection);
@@ -84,13 +79,11 @@ public abstract class ForwardingCollection<E extends @Nullable Object> extends F
     return delegate().contains(object);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean add(@ParametricNullness E element) {
     return delegate().add(element);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean remove(@CheckForNull Object object) {
     return delegate().remove(object);
@@ -101,13 +94,11 @@ public abstract class ForwardingCollection<E extends @Nullable Object> extends F
     return delegate().containsAll(collection);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean addAll(Collection<? extends E> collection) {
     return delegate().addAll(collection);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean retainAll(Collection<?> collection) {
     return delegate().retainAll(collection);
@@ -119,14 +110,13 @@ public abstract class ForwardingCollection<E extends @Nullable Object> extends F
   }
 
   @Override
-  public @Nullable Object[] toArray() {
+  public Object[] toArray() {
     return delegate().toArray();
   }
 
-  @CanIgnoreReturnValue
   @Override
   @SuppressWarnings("nullness") // b/192354773 in our checker affects toArray declarations
-  public <T extends @Nullable Object> T[] toArray(T[] array) {
+  public <T extends Object> T[] toArray(T[] array) {
     return delegate().toArray(array);
   }
 
@@ -242,8 +232,8 @@ public abstract class ForwardingCollection<E extends @Nullable Object> extends F
    *
    * @since 7.0
    */
-  protected @Nullable Object[] standardToArray() {
-    @Nullable Object[] newArray = new @Nullable Object[size()];
+  protected Object[] standardToArray() {
+    Object[] newArray = new Object[size()];
     return toArray(newArray);
   }
 
@@ -254,7 +244,7 @@ public abstract class ForwardingCollection<E extends @Nullable Object> extends F
    *
    * @since 7.0
    */
-  protected <T extends @Nullable Object> T[] standardToArray(T[] array) {
+  protected <T extends Object> T[] standardToArray(T[] array) {
     return ObjectArrays.toArrayImpl(this, array);
   }
 }
diff --git a/android/guava/src/com/google/common/collect/ForwardingConcurrentMap.java b/android/guava/src/com/google/common/collect/ForwardingConcurrentMap.java
index b662b07..0aed837 100644
--- a/android/guava/src/com/google/common/collect/ForwardingConcurrentMap.java
+++ b/android/guava/src/com/google/common/collect/ForwardingConcurrentMap.java
@@ -16,8 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.concurrent.ConcurrentMap;
 import javax.annotation.CheckForNull;
 
@@ -36,7 +34,6 @@ import javax.annotation.CheckForNull;
  * @author Charles Fry
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public abstract class ForwardingConcurrentMap<K, V> extends ForwardingMap<K, V>
     implements ConcurrentMap<K, V> {
@@ -47,27 +44,23 @@ public abstract class ForwardingConcurrentMap<K, V> extends ForwardingMap<K, V>
   @Override
   protected abstract ConcurrentMap<K, V> delegate();
 
-  @CanIgnoreReturnValue
   @Override
   @CheckForNull
   public V putIfAbsent(K key, V value) {
     return delegate().putIfAbsent(key, value);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean remove(@CheckForNull Object key, @CheckForNull Object value) {
     return delegate().remove(key, value);
   }
 
-  @CanIgnoreReturnValue
   @Override
   @CheckForNull
   public V replace(K key, V value) {
     return delegate().replace(key, value);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean replace(K key, V oldValue, V newValue) {
     return delegate().replace(key, oldValue, newValue);
diff --git a/android/guava/src/com/google/common/collect/ForwardingDeque.java b/android/guava/src/com/google/common/collect/ForwardingDeque.java
index 571535c..6f0a56b 100644
--- a/android/guava/src/com/google/common/collect/ForwardingDeque.java
+++ b/android/guava/src/com/google/common/collect/ForwardingDeque.java
@@ -16,12 +16,9 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Deque;
 import java.util.Iterator;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A deque which forwards all its method calls to another deque. Subclasses should override one or
@@ -40,9 +37,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kurt Alfred Kluever
  * @since 12.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
-public abstract class ForwardingDeque<E extends @Nullable Object> extends ForwardingQueue<E>
+public abstract class ForwardingDeque<E extends Object> extends ForwardingQueue<E>
     implements Deque<E> {
 
   /** Constructor for use by subclasses. */
@@ -78,13 +74,13 @@ public abstract class ForwardingDeque<E extends @Nullable Object> extends Forwar
     return delegate().getLast();
   }
 
-  @CanIgnoreReturnValue // TODO(cpovirk): Consider removing this?
+  // TODO(cpovirk): Consider removing this?
   @Override
   public boolean offerFirst(@ParametricNullness E e) {
     return delegate().offerFirst(e);
   }
 
-  @CanIgnoreReturnValue // TODO(cpovirk): Consider removing this?
+  // TODO(cpovirk): Consider removing this?
   @Override
   public boolean offerLast(@ParametricNullness E e) {
     return delegate().offerLast(e);
@@ -102,21 +98,20 @@ public abstract class ForwardingDeque<E extends @Nullable Object> extends Forwar
     return delegate().peekLast();
   }
 
-  @CanIgnoreReturnValue // TODO(cpovirk): Consider removing this?
+  // TODO(cpovirk): Consider removing this?
   @Override
   @CheckForNull
   public E pollFirst() {
     return delegate().pollFirst();
   }
 
-  @CanIgnoreReturnValue // TODO(cpovirk): Consider removing this?
+  // TODO(cpovirk): Consider removing this?
   @Override
   @CheckForNull
   public E pollLast() {
     return delegate().pollLast();
   }
 
-  @CanIgnoreReturnValue
   @Override
   @ParametricNullness
   public E pop() {
@@ -128,27 +123,23 @@ public abstract class ForwardingDeque<E extends @Nullable Object> extends Forwar
     delegate().push(e);
   }
 
-  @CanIgnoreReturnValue
   @Override
   @ParametricNullness
   public E removeFirst() {
     return delegate().removeFirst();
   }
 
-  @CanIgnoreReturnValue
   @Override
   @ParametricNullness
   public E removeLast() {
     return delegate().removeLast();
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean removeFirstOccurrence(@CheckForNull Object o) {
     return delegate().removeFirstOccurrence(o);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean removeLastOccurrence(@CheckForNull Object o) {
     return delegate().removeLastOccurrence(o);
diff --git a/android/guava/src/com/google/common/collect/ForwardingImmutableCollection.java b/android/guava/src/com/google/common/collect/ForwardingImmutableCollection.java
index 043fe58..df64ca2 100644
--- a/android/guava/src/com/google/common/collect/ForwardingImmutableCollection.java
+++ b/android/guava/src/com/google/common/collect/ForwardingImmutableCollection.java
@@ -16,14 +16,12 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * Dummy class that makes the GWT serialization policy happy. It isn't used on the server-side.
  *
  * @author Hayward Chan
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 class ForwardingImmutableCollection {
   private ForwardingImmutableCollection() {}
diff --git a/android/guava/src/com/google/common/collect/ForwardingImmutableList.java b/android/guava/src/com/google/common/collect/ForwardingImmutableList.java
index bd5480d..f1aeba7 100644
--- a/android/guava/src/com/google/common/collect/ForwardingImmutableList.java
+++ b/android/guava/src/com/google/common/collect/ForwardingImmutableList.java
@@ -16,14 +16,12 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * Unused stub class, unreferenced under Java and manually emulated under GWT.
  *
  * @author Chris Povirk
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 abstract class ForwardingImmutableList<E> {
   private ForwardingImmutableList() {}
diff --git a/android/guava/src/com/google/common/collect/ForwardingImmutableMap.java b/android/guava/src/com/google/common/collect/ForwardingImmutableMap.java
index 22cc9ff..84c4fb8 100644
--- a/android/guava/src/com/google/common/collect/ForwardingImmutableMap.java
+++ b/android/guava/src/com/google/common/collect/ForwardingImmutableMap.java
@@ -16,14 +16,12 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * Unused stub class, unreferenced under Java and manually emulated under GWT.
  *
  * @author Chris Povirk
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 abstract class ForwardingImmutableMap<K, V> {
   private ForwardingImmutableMap() {}
diff --git a/android/guava/src/com/google/common/collect/ForwardingImmutableSet.java b/android/guava/src/com/google/common/collect/ForwardingImmutableSet.java
index 047d5fd..e4ae397 100644
--- a/android/guava/src/com/google/common/collect/ForwardingImmutableSet.java
+++ b/android/guava/src/com/google/common/collect/ForwardingImmutableSet.java
@@ -16,14 +16,12 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * Unused stub class, unreferenced under Java and manually emulated under GWT.
  *
  * @author Chris Povirk
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 abstract class ForwardingImmutableSet<E> {
   private ForwardingImmutableSet() {}
diff --git a/android/guava/src/com/google/common/collect/ForwardingIterator.java b/android/guava/src/com/google/common/collect/ForwardingIterator.java
index 1f5a8f1..a063f8e 100644
--- a/android/guava/src/com/google/common/collect/ForwardingIterator.java
+++ b/android/guava/src/com/google/common/collect/ForwardingIterator.java
@@ -16,10 +16,7 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Iterator;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * An iterator which forwards all its method calls to another iterator. Subclasses should override
@@ -36,9 +33,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kevin Bourrillion
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public abstract class ForwardingIterator<T extends @Nullable Object> extends ForwardingObject
+public abstract class ForwardingIterator<T extends Object> extends ForwardingObject
     implements Iterator<T> {
 
   /** Constructor for use by subclasses. */
@@ -52,7 +48,6 @@ public abstract class ForwardingIterator<T extends @Nullable Object> extends For
     return delegate().hasNext();
   }
 
-  @CanIgnoreReturnValue
   @Override
   @ParametricNullness
   public T next() {
diff --git a/android/guava/src/com/google/common/collect/ForwardingList.java b/android/guava/src/com/google/common/collect/ForwardingList.java
index 4b4551e..5e51833 100644
--- a/android/guava/src/com/google/common/collect/ForwardingList.java
+++ b/android/guava/src/com/google/common/collect/ForwardingList.java
@@ -16,15 +16,11 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Collection;
 import java.util.Iterator;
 import java.util.List;
 import java.util.ListIterator;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A list which forwards all its method calls to another list. Subclasses should override one or
@@ -51,9 +47,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Louis Wasserman
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public abstract class ForwardingList<E extends @Nullable Object> extends ForwardingCollection<E>
+public abstract class ForwardingList<E extends Object> extends ForwardingCollection<E>
     implements List<E> {
   // TODO(lowasser): identify places where thread safety is actually lost
 
@@ -68,7 +63,6 @@ public abstract class ForwardingList<E extends @Nullable Object> extends Forward
     delegate().add(index, element);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean addAll(int index, Collection<? extends E> elements) {
     return delegate().addAll(index, elements);
@@ -100,14 +94,12 @@ public abstract class ForwardingList<E extends @Nullable Object> extends Forward
     return delegate().listIterator(index);
   }
 
-  @CanIgnoreReturnValue
   @Override
   @ParametricNullness
   public E remove(int index) {
     return delegate().remove(index);
   }
 
-  @CanIgnoreReturnValue
   @Override
   @ParametricNullness
   public E set(int index, @ParametricNullness E element) {
@@ -204,7 +196,6 @@ public abstract class ForwardingList<E extends @Nullable Object> extends Forward
    *
    * @since 7.0
    */
-  @Beta
   protected ListIterator<E> standardListIterator(int start) {
     return Lists.listIteratorImpl(this, start);
   }
@@ -215,7 +206,6 @@ public abstract class ForwardingList<E extends @Nullable Object> extends Forward
    *
    * @since 7.0
    */
-  @Beta
   protected List<E> standardSubList(int fromIndex, int toIndex) {
     return Lists.subListImpl(this, fromIndex, toIndex);
   }
@@ -227,7 +217,6 @@ public abstract class ForwardingList<E extends @Nullable Object> extends Forward
    *
    * @since 7.0
    */
-  @Beta
   protected boolean standardEquals(@CheckForNull Object object) {
     return Lists.equalsImpl(this, object);
   }
@@ -239,7 +228,6 @@ public abstract class ForwardingList<E extends @Nullable Object> extends Forward
    *
    * @since 7.0
    */
-  @Beta
   protected int standardHashCode() {
     return Lists.hashCodeImpl(this);
   }
diff --git a/android/guava/src/com/google/common/collect/ForwardingListIterator.java b/android/guava/src/com/google/common/collect/ForwardingListIterator.java
index a2ac32b..6f440c6 100644
--- a/android/guava/src/com/google/common/collect/ForwardingListIterator.java
+++ b/android/guava/src/com/google/common/collect/ForwardingListIterator.java
@@ -16,10 +16,7 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.ListIterator;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A list iterator which forwards all its method calls to another list iterator. Subclasses should
@@ -36,9 +33,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Mike Bostock
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public abstract class ForwardingListIterator<E extends @Nullable Object>
+public abstract class ForwardingListIterator<E extends Object>
     extends ForwardingIterator<E> implements ListIterator<E> {
 
   /** Constructor for use by subclasses. */
@@ -62,7 +58,6 @@ public abstract class ForwardingListIterator<E extends @Nullable Object>
     return delegate().nextIndex();
   }
 
-  @CanIgnoreReturnValue
   @Override
   @ParametricNullness
   public E previous() {
diff --git a/android/guava/src/com/google/common/collect/ForwardingListMultimap.java b/android/guava/src/com/google/common/collect/ForwardingListMultimap.java
index 11779c0..4ebcdc3 100644
--- a/android/guava/src/com/google/common/collect/ForwardingListMultimap.java
+++ b/android/guava/src/com/google/common/collect/ForwardingListMultimap.java
@@ -16,11 +16,8 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.List;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A list multimap which forwards all its method calls to another list multimap. Subclasses should
@@ -34,9 +31,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kurt Alfred Kluever
  * @since 3.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public abstract class ForwardingListMultimap<K extends @Nullable Object, V extends @Nullable Object>
+public abstract class ForwardingListMultimap<K extends Object, V extends Object>
     extends ForwardingMultimap<K, V> implements ListMultimap<K, V> {
 
   /** Constructor for use by subclasses. */
@@ -50,13 +46,11 @@ public abstract class ForwardingListMultimap<K extends @Nullable Object, V exten
     return delegate().get(key);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public List<V> removeAll(@CheckForNull Object key) {
     return delegate().removeAll(key);
   }
 
-  @CanIgnoreReturnValue
   @Override
   public List<V> replaceValues(@ParametricNullness K key, Iterable<? extends V> values) {
     return delegate().replaceValues(key, values);
